cancel
Showing results for 
Search instead for 
Did you mean: 
cancel

Upgrade from sip8331.9-3-3-5 to sip8831.10-3-1

7963
Views
45
Helpful
8
Comments

 

-------------

Please rate helpful content (i.e. videos, documents, comments). Also, please select the correct answer(s) if any comment(s) answer your question otherwise the questions remains on the support forums as unanswered.

-------------

Introduction

 

In order to upgrade from sip8331.9-3-3-5 to sip8831.10-3-1 you need to use a special interim firmware.

 

It is very important you use the appropriate region when uploading the firmware. Once a phone has been upgraded to a particular region it will be locked to that region and will require RMA if you want to change the region.

Problem

The documentation for this procedure is a little confusing so I wrote the solution below.

Solution

Documentation states that you need the latest device pack to do this upgrade; however, that is not true. If the 8831 device is on your cluster already, you don't need to install a device pack (which could potentially impact firmware for several devices).

 

Below is a screenshot from the web page of an 8831 I used when writing this document.

 

 

 

Put the latest firmware on the server (when I wrote this document it was cmterm-8831-sip.10-3-1-16.cop.sgn or cmterm-8831-sip.10-3-1-16XX.cop.sgn) - "Before using Cisco Unified IP Phone Firmware Release 10.3(1) with Cisco Unified Communications Manager, you must install the latest firmware on all Cisco Unified Communications Manager servers in the cluster." The file I uploaded is cmterm-8831-sip.10-3-1-16NA.cop.

 

NOTE: Be sure to use the proper region specific cop file. The table below is for ease of use; however, official Cisco documentation takes precedence if there is a discrepancy.

 

This table was generated from the values set when using the "Wireless Microphone Region" setting on the device configuration page in CUCM.  When selecting a country, the phone's configuration file is updated for NA, JP, EU, TW, LA, BR, or NOT_ALLOW.

 

Country Value

AlgeriaEU
ArgentinaNA
AustraliaEU
AustriaEU
BahrainEU
BelgiumEU
BrazilNA
BulgariaEU
CanadaNA
ChileNA
ChinaNOT_ALLOW
ColombiaNA
CroatiaEU
CyprusEU
Czech_RepublicEU
DenmarkEU
EgyptEU
EstoniaEU
FinlandEU
FranceEU
GermanyEU
GhanaEU
GreeceEU
Hong_KongEU
HungaryEU
IcelandEU
IndiaEU
IndonesiaEU
IraqEU
IrelandEU
IsraelEU
ItalyEU
JapanJAPAN
JordanEU
KenyaEU
Korea_RepublicNA
KuwaitEU
LatviaEU
LebanonEU
LithuaniaEU
LuxembourgEU
MalaysiaEU
MauritaniaEU
MexicoNA
MoroccoNA
NepalEU
NetherlandsEU
New_ZealandEU
NigeriaEU
NorwayEU
OmanEU
PakistanEU
PanamaNA
PeruNA 
PhilippinesNOT_ALLOW
PolandEU
PortugalEU
QatarEU
Republic_of_MontenegroEU
Republic_of_SerbiaEU
RomaniaEU
Russian_FederationEU
Saudi_ArabiaEU
SingaporeEU
SlovakiaEU
SloveniaEU
South_AfricaEU
SpainEU
SudanEU
SwedenEU
SwitzerlandEU
TaiwanTAIWAN
ThailandEU
TunisiaEU
TurkeyEU
United_Arab_EmiratesEU
United_KingdomEU
United_StatesNA
VenezuelaNOT_ALLOW
VietnamEU
YemenEU
ZimbabweEU

 

I uploaded the file cmterm-8831-sip.9-3-3-TO-10-3-1-v2.cop.sgn to only the TFTP servers because the documentation says it should be "copied to the appropriate directory on the TFTP server."

 

Now you would restart the TFTP service on all nodes running the service.

 

I confirmed "sip8831.9-3-3-TO-10-3-1-v2" was listed as the default load for the 8831 phones.

I reset the phone and when it registered again I went to device > device settings > firmware load information to confirm there weren't any phones using a firmware other than the default. I also went to the phone web page to confirm the new firmware.

NOTE: This firmware upgrade went very fast.

NOTE: The interim file's purpose is to bypass a bug that doesn't allow upgrades from 9-3-3 to 10-3-1 so there shouldn't be any concern about functionality. The interim firmware is meant to help hop to 10-3-1. You can read about the bug here:
CSCur37664

 

 

I then changed the default load to "sip8831.10-3-1-16NA" and reset the phone again so it could update the firmware again. The final result is documented in the image below.

 

NOTE: You may have a firmware that is not specific to any particular region of the world and you would need to have "sip8831.10-3-1-16" as the default load. If you do have a region specific firmware that is other than North America, please be sure to have the correct region in the XX portion here: "sip8831.10-3-1-16XX".

 

 

-------------

Please rate helpful content (i.e. videos, documents, comments). Also, please select the correct answer(s) if any comment(s) answer your question otherwise the questions remains on the support forums as unanswered.

-------------

Comments
Advisor

[+5] for sharing the link.

 

As u have mentioned that we need to download sip8831.10.-3-1-v2 or the bug says that we need to have MR first in order to upgrade from 9-3-3-5. This means we need to open TAC case to get this interim firmware and then, upload 10-3-1-16XX firmware as per the region like NA, LA, TW,EU ,JP .Is it so?

 

regds,

aman

Cisco Employee

Thank you for the rating, Aman. There is no need to open a TAC case for the interim software (cmterm-8831-sip.9-3-3-TO-10-3-1-v2.cop.sgn). You can download it using the link below. 

 

https://software.cisco.com/download/release.html?mdfid=284738433&softwareid=282074288&os=&release=10.3(1)&relind=AVAILABLE&rellifecycle=&reltype=latest&i=!pp

Advisor

thanks for clearing the doubt.I was able to get link as attached and highlighted.

 

regds,

aman

Cisco Employee

Glad to see the link is working. One thing, you circled the old version that I am going to request for removal from the page. Make sure you get the one that is higher in the list when looking at the .png you attached.

cmterm-8831-sip.9-3-3-TO-10-3-1-v2

Hi Guys,

Im in Morocco, and for the firmeware region , which region i have to choose?

there is a file on Cisco Soft Download named:

8831 SIP IP Phone load signed COP file - Compatible CUCM Versions: 8.5(1)+  , cmterm-8831-sip.10-3-1SR2-2.k3.cop.sgn 

this one seems to be region unspecifi, will this one for like other region then NA, LA, TW,EU ,JP?

Thanks

Cisco Employee

Hello Oussama,

For countries in Africa you need to use the region specific firmware that has "EU" as the region.

Please review the document below if you would like more information.

http://www.cisco.com/c/en/us/support/docs/field-notices/638/fn63899.html

Cisco assigned the different PIDs for the 8831 to the appropriate price lists.


The PID with EU works for Africa, India, Australia and the other countries on the AsiaPac and EMEA price lists.


The PID with LA works for the Latin American countries such as Chile, Argentina.
Japan, Taiwan, and Brazil have special DECT compliance rules, therefore, there are separate PIDs for those countries.


We don’t have a country-by-country list.

Beginner

-We were having the same problem. this is the process I followed:

8831 came in with the sip8831.9-3-3-5 firmware. CUCM would try to download and fail any firmware other than the sip8831.9-3-3-TO-10-3-1. I had to do a factory reset to get it back to the 9-3 version. I then used the sip8831.9-3-3-TO-10-3-1 as a step up to the Version 10 firmware. When trying to go to the 10-3-1-16NA it again would fail. I had to factory reset again, did the same process, but instead of going to the 10-3-1-16NA I used the sip8831.10-3-1SR2-2 and everything worked great.

Here is the link to cisco's page to find the new firmware: https://software.cisco.com/download/release.html?mdfid=284738433&catid=280789323&softwareid=282074288&release=10.3(1)SR2&relind=AVAILABLE&rellifecycle=&reltype=latest

Here is the link to cisco's page for the sip8831.10-3-1SR2-2 Caveats:

http://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cuipph/8831/firmware/10-3-1-sr2/english/release-notes/cs38_b_phone-8831-release-notes-1031sr2.html#reference_96A4DBB0A1B99AA97F8EF13A76E1E7BC

As you can see in the attachment I have highlighted some of the dl and connection issues that are still not taken care of.

VIP Rising star

+5 Thanks working